Results 1 to 8 of 8

Thread: Zotero Plugin Installation

  1. #1

    Default Zotero Plugin Installation

    I am trying to install the Zotero Libreoffice plugin in openSUSE 13.2, but I'm getting consistent error messages:
    "Installation could not be completed because an error occurred. Please ensure that LibreOffice/OpenOffice.org/NeoOffice is closed, and then restart Firefox."


    Within the LO extension manager, clicking on 'Enable' on the Zotero extension results in the following:
    javaloader error - could not find class com/sun/star/comp/loader/JavaLoader

    and:
    (com.sun.star.uno.RuntimeException) { { Message = "javaloader error - could not find class com/sun/star/comp/loader/JavaLoader", Context = (com.sun.star.uno.XInterface) @0 } }


    I have tried running LO with the OpenJDK JRE, the JRE from the Oracle website with no luck. I've searched the forum and Google, but have not found any recent solutions.
    Has anyone else run into this issue? Is there a solution? I just started using openSUSE and I'm really enjoying it...but this could be a show stopper.
    Thanks, I appreciate any help!

  2. #2

    Default Re: Zotero Plugin Installation

    I have the same problem, though not only with zotero but also with language tool 2.7. Other Java based features in libreoffice work fine. Interestingly, the problem appeared after I updated libreoffice to 4.3.3.

    Quote Originally Posted by thomfieber View Post
    I am trying to install the Zotero Libreoffice plugin in openSUSE 13.2, but I'm getting consistent error messages:
    "Installation could not be completed because an error occurred. Please ensure that LibreOffice/OpenOffice.org/NeoOffice is closed, and then restart Firefox."


    Within the LO extension manager, clicking on 'Enable' on the Zotero extension results in the following:
    javaloader error - could not find class com/sun/star/comp/loader/JavaLoader

    and:
    (com.sun.star.uno.RuntimeException) { { Message = "javaloader error - could not find class com/sun/star/comp/loader/JavaLoader", Context = (com.sun.star.uno.XInterface) @0 } }


    I have tried running LO with the OpenJDK JRE, the JRE from the Oracle website with no luck. I've searched the forum and Google, but have not found any recent solutions.
    Has anyone else run into this issue? Is there a solution? I just started using openSUSE and I'm really enjoying it...but this could be a show stopper.
    Thanks, I appreciate any help!

  3. #3

    Default Re: Zotero Plugin Installation

    Quote Originally Posted by eddiekls View Post
    I have the same problem, though not only with zotero but also with language tool 2.7. Other Java based features in libreoffice work fine. Interestingly, the problem appeared after I updated libreoffice to 4.3.3.
    I reverted back to 4.3.2 and it works just fine. I'll just hang out until 4.3.4 hits and I'll see about updating then.

  4. #4

    Default Re: Zotero Plugin Installation

    Where did you find 4.3.2? It seems to have disappeared from my repos....

    Quote Originally Posted by thomfieber View Post
    I reverted back to 4.3.2 and it works just fine. I'll just hang out until 4.3.4 hits and I'll see about updating then.

  5. #5

    Default Re: Zotero Plugin Installation

    Quote Originally Posted by eddiekls View Post
    Where did you find 4.3.2? It seems to have disappeared from my repos....
    It was in openSUSE-OSS. I just selected the version in the YaST software manager and it worked. Are you on Tumbleweed or stable?

  6. #6

    Default Re: Zotero Plugin Installation

    Strange. I am on stable, but all that is on offer to me is 4.3.3.2. OpenSUSE OSS is activated and refreshed. But I just realised that version 4.3.4 is in Tumbleweed/Factory. I have installed that and now Zotero (and Languagetool) work again.

    Quote Originally Posted by thomfieber View Post
    It was in openSUSE-OSS. I just selected the version in the YaST software manager and it worked. Are you on Tumbleweed or stable?

  7. #7

    Default Re: Zotero Plugin Installation

    But is there a solution to the original problem without going back to an older version of LibreOffice? I have had exactly the same issue trying to install the Writer2LaTeX plugin as well as the Zotero plugin.

  8. #8

    Default Re: Zotero Plugin Installation

    Quote Originally Posted by benbrewster View Post
    But is there a solution to the original problem without going back to an older version of LibreOffice? I have had exactly the same issue trying to install the Writer2LaTeX plugin as well as the Zotero plugin.
    I guess this is another instance of OpenSuse bug 906688: "Libre Office Base does not find JavaLoader" except that it is for extension installation rather than executing report.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •